import React from "react";
import { Paper, Button } from "@material-ui/core";
import { makeStyles } from "@material-ui/core/styles";
import { useTranslation } from "react-i18next";
import { PaperTitle } from "../../../components/common";

const useStyles = makeStyles(theme => ({
  content: {
    "& > *": {
      margin: theme.spacing(1)
    }
  }
}));

const ResetCacheComponent = () => {
  const classes = useStyles();
  const { t } = useTranslation();

  return (
    <Paper variant="outlined">
      <PaperTitle text={t("Settings.Cache.Title")} />
      <div className={classes.content}>
        <Button variant="outlined" color="secondary">
          {t("Settings.Cache.Reset")}
        </Button>
      </div>
    </Paper>
  );
};

export default ResetCacheComponent;
